Subject: Re: [PATCH] (3/3) netem: adjust parent qlen when duplicating

From: Patrick McHardy <[email-masked]>
Date: Wed, 04 May 2005 01:48:02 +0200

David S. Miller wrote:
> On Wed, 04 May 2005 01:35:29 +0200
> Patrick McHardy <[email-masked]> wrote:
>
>>This only works in a hierarchy with just one qdisc above netem, there
>>could be up to seven (check_loop_fn prevents more than that). It's also
>>not safe because it violates qdisc locking rules, when this code is
>>executed dev->queue_lock is already taken and qdisc_lookup() grabs
>>qdisc_tree_lock, but they can only be taken in the other order.
> 
> I see... I'm leaving Stephen's patch in there for now.
> 
> Perhaps we can create some kind of "propagate up" function
> that will handle all of the parents in the qdisc hierarchy
> above netem?

That's what I already suggested, it should be pretty simple to do
so. I'll send a patch once your tree appears on kernel.org.

BTW, are you pushing it regulary or just for Linus to merge?

Regards
Patrick